com.fasterxml.jackson.jaxrs.json

## Class JsonMapperConfigurator

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase<JsonMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>
  - - com.fasterxml.jackson.jaxrs.json.JsonMapperConfigurator

    public class JsonMapperConfigurator
    extends com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase<JsonMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>

Helper class used to encapsulate details of configuring an `ObjectMapper` instance to be used for data binding, as well as accessing it.

### Field Summary

### Fields inherited from class com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase

`_defaultAnnotationsToUse, _defaultMapper, _jaxbIntrospectorClass, _mapper`

### Constructor Summary

Constructors
Constructor and Description
`JsonMapperConfigurator(com.fasterxml.jackson.databind.ObjectMapper mapper, com.fasterxml.jackson.jaxrs.cfg.Annotations[] defAnnotations)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected com.fasterxml.jackson.databind.AnnotationIntrospector` `_resolveIntrospector(com.fasterxml.jackson.jaxrs.cfg.Annotations ann)`
`protected com.fasterxml.jackson.databind.AnnotationIntrospector` `_resolveIntrospectors(com.fasterxml.jackson.jaxrs.cfg.Annotations[] annotationsToUse)`
`com.fasterxml.jackson.databind.ObjectMapper` `getConfiguredMapper()` Method that locates, configures and returns `ObjectMapper` to use
`com.fasterxml.jackson.databind.ObjectMapper` `getDefaultMapper()`
`protected com.fasterxml.jackson.databind.ObjectMapper` `mapper()` Helper method that will ensure that there is a configurable non-default mapper (constructing an instance if one didn't yet exit), and return that mapper.

### Methods inherited from class com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase

`_setAnnotations, configure, configure, configure, configure, setAnnotationsToUse, setMapper`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonMapperConfigurator

    public JsonMapperConfigurator(com.fasterxml.jackson.databind.ObjectMapper mapper,
                                  com.fasterxml.jackson.jaxrs.cfg.Annotations[] defAnnotations)

### Method Detail

#### getConfiguredMapper

    public com.fasterxml.jackson.databind.ObjectMapper getConfiguredMapper()

Method that locates, configures and returns `ObjectMapper` to use

Specified by:
  `getConfiguredMapper` in class `com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase<JsonMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>`

#### getDefaultMapper

    public com.fasterxml.jackson.databind.ObjectMapper getDefaultMapper()

Specified by:
  `getDefaultMapper` in class `com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase<JsonMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>`

#### mapper

    protected com.fasterxml.jackson.databind.ObjectMapper mapper()

Helper method that will ensure that there is a configurable non-default mapper (constructing an instance if one didn't yet exit), and return that mapper.

Specified by:
  `mapper` in class `com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase<JsonMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>`

#### _resolveIntrospectors

    protected com.fasterxml.jackson.databind.AnnotationIntrospector _resolveIntrospectors(com.fasterxml.jackson.jaxrs.cfg.Annotations[] annotationsToUse)

Specified by:
  `_resolveIntrospectors` in class `com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase<JsonMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>`

#### _resolveIntrospector

    protected com.fasterxml.jackson.databind.AnnotationIntrospector _resolveIntrospector(com.fasterxml.jackson.jaxrs.cfg.Annotations ann)